Subject: s3mod v1.05 screamtracker 3 player (w/GUS support)
From: David Jeske <[email-masked]>
Date: Tue, 10 May 1994 21:30:15 GMT
Newsgroups: comp.os.linux.announce

Announcing s3mod v1.05.

It is a tracker for Linux that plays:

1) 15, 31 voice regular Protracker modules
2) 6 and 8 channel Triton Fastracker modules
3) Future Crew's Screamtracker 3 modules

669's, MTM's, will not be supported very soon (finals are approaching)

GUS support (by David Jeske):
   Now we support the GUS native! You must be using the VoxWare sound 
   drivers by Hanno Savolainen. Which means that it should run on 
   netbsd with the same kernel sound drivers. I'm not familiar enough
   with it to know for sure, if someone gets it running, let me know. 

   [email-masked]. 

DSP support:
   It supports up to 31 channels (but I wouldn't try more than 16 unless I
   had a Pentium).  It mixes mono/stereo, 8/16 bit, from 8 kHz-44.1 kHz.

   The 16 bit support seems to be a bit noisy on some cards, feedback
   would be appreciated.

GENERAL:

I have put support in for different endianness, different machine word sizes,
etc. in the hopes that someone will pick up the torch and port it to other
machines (e.g. Sun and HPUX).  Mail me if you are interested.  Currently,
only Linux is supported.

While I have tried to make this program cpu-friendly, mixing 8 or 16 tracks
is still a huge load, so don't be surprised if you have a 486dx33 and can't
do 16 bit, 44.1 kHz, stereo. (get a GUS, it takes nearly no CPU)

Currently you can get it at 
	sunsite.unc.edu:/pub/Linux/Incoming/s3mod-v1.05.tar.gz 
It will soon be moved to 
 	sunsite.unc.edu:/pub/Linux/apps/sound/players/s3mod-v1.05.tar.gz

Thanks to all you folks who mailed me with encouragement, and especially
detailed bug reports.  Thanks to Brandon Long ([email-masked]) for
the initial port to Linux, and Dave Jeske ([email-masked]) for
making the program neat and nice.

Dan Marks
[email-masked]

--
Mail submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.
-- 
Subvert the Dominant Paradigm. Use Linux.